Subject: Re: OS X and umlauts in file names

From: Jakub Narebski <[email-masked]>
Date: Mon, 23 Nov 2009 15:31:52 -0800 (PST)

Johannes Schindelin <[email-masked]> writes:

> On Mon, 23 Nov 2009, Thomas Singer wrote:
> 
> > Basically, getting it "somehow" to work on OS X is just one minor step. 
> > IMHO Git should standardize on file names in the repository and do the 
> > platform-specific conversion independent of any locale setting, if 
> > needed.
> 
> That is contrary to the design of Git which honors content (byte-wise!) as 
> much as possible, and treats file names very much as content.
> 
> There were beginnings of supporting OSX' brain-damaged filename mangling, 
> but an obnoxious OSX fan worked very hard on trying to defend the OSX 
> design and to decry Git's respect for the raw bytes on this list, so hard 
> that even the nicest developers had no fun working on this issue anymore.
> 
> This little background may help you understand why there is no solution 
> implemented in Git yet.  And maybe quite a few developers are reluctant to 
> discuss the issue and possible solutions due to said sad story, too.

To be more exact the problem is not that MacOS X uses denormalized
form (does file mangling).  This would be the problem only in
cross-platform development (where some developers would work from
different operating system).

The problem is that the name under which Git creates file is different
from the name MacOS X lists file (in readdir etc.).

-- 
Jakub Narebski
Poland
ShadeHawk on #git